# Pages placed under these sections will be shown on homepage and archive page.
mainSections = ["post"]
# Output page's full content in RSS.
rssFullContent = true
favicon = "/favicon.png"

[footer]
since = 2025
customText = "“白砂糖会把这里，建设成白砂糖和白砂的家。”"

[dateFormat]
published = "Jan 02, 2006"
lastUpdated = "Jan 02, 2006 15:04 MST"

[sidebar]
#emoji = "🍥"
subtitle = "白砂的白砂糖"

[sidebar.avatar]
enabled = true
local = true
src = "img/avatar.png"

[article]
headingAnchor = false
math = true
readingTime = true

[article.license]
enabled = true
default = "白砂糖，根据Creative Commons BY-NC-SA 4.0协议授权。"

## Widgets
[[widgets.homepage]]
type = "search"

[[widgets.homepage]]
type = "archives"

[widgets.homepage.params]
limit = 5

[[widgets.homepage]]
type = "categories"

[widgets.homepage.params]
limit = 10

[[widgets.homepage]]
type = "tag-cloud"

[widgets.homepage.params]
limit = 10

[[widgets.homepage]]
type = "rooms"

[widgets.homepage.params]
limit = 10


[[widgets.page]]
type = "toc"

[opengraph.twitter]
site = ""
card = "summary_large_image"

[defaultImage.opengraph]
enabled = false
local = false
src = ""

[colorScheme]
toggle = true
default = "auto"

[imageProcessing.cover]
enabled = true

[imageProcessing.content]
enabled = true
